<?php

/**
 * Plugin origin
 */


 /**
  * Hook render_editlink.
  *
  * Template placeholders:
  *   - field_plugin: add link fields after tags.
  *
  * @param array $data data passed to plugin
  *
  * @return array altered $data.
  */
 function hook_origin_render_editlink($data)
 {
     // Load HTML into a string
     $html = file_get_contents(PluginManager::$PLUGINS_PATH .'/origin/field.html');

     // replace value in HTML if it exists in $data
     if (!empty($data['link']['via'])) {
         $html = sprintf($html, $data['link']['via']);
     } else {
         $html = sprintf($html, '');
     }

     // field_plugin
     $data['edit_link_plugin'][] = $html;

     return $data;
 }


 /**
  * Hook savelink.
  *
  * Triggered when a link is save (new or edit).
  *
  * @param array $data contains the new link data.
  *
  * @return array altered $data.
  */
 function hook_origin_save_link($data)
 {
     // Save link added in editlink field
     if (!empty($_POST['lf_origin'])) {
         $data['via'] = escape($_POST['lf_origin']);
     }

     return $data;
 }


 /**
  * Add externalThumbshot icon to link_plugin when rendering linklist.
  *
  * @param mixed $data - linklist data.
  *
  * @return mixed - linklist data with readityourself plugin.
  */

 function hook_origin_render_linklist($data,$conf)
 {
     $origin_html = file_get_contents(PluginManager::$PLUGINS_PATH . '/origin/render.html');

     foreach ($data['links'] as &$value) {
         if(!empty($value['via'])){
             $host = getJustDomain($value['via']);
             $origin = sprintf($origin_html, $value['via'], $host);
             $value['description'] = $value['description'].$origin;
         }
     }
     return $data;
 }

 // Try to get just domain for @via
 function getJustDomain($url) {
     $parts = parse_url($url);
     if(!empty($parts['host'])){
         return trim($parts['host']);
     } else {
         return false;
     }
 }


 /**
  * Execute render_feed hook.
  * Called with ATOM and RSS feed.
  *
  * Special data keys:
  *   - _PAGE_: current page
  *   - _LOGGEDIN_: true/false
  *
  * @param array $data data passed to plugin
  *
  * @return array altered $data.
  */
 function hook_origin_render_feed($data)
 {
     $origin_html = file_get_contents(PluginManager::$PLUGINS_PATH . '/origin/render.html');

     foreach ($data['links'] as &$value) {
         if(!empty($value['via'])){
             $host = getJustDomain($value['via']);
             $origin = sprintf($origin_html, $value['via'], $host);
             $value['description'] = $value['description'].$origin;
         }
     }
     return $data;
 }
